clear;clc;

%% Required input data
% Total floor acceleration in g
TotalAcc = importdata('ALAB-Center-150-1.txt')/981;

% Timestep in seconds
dT = 0.01;

%% Optional inputs
% Mass data (note: units and actual values not important, as long as
% mass distribution is constant along height of building)
Mass = [0 740 720 520];
% Name of mother wavelet
wname = 'sym10';

% Flag to identify if plots are required
PlotFlag = [0 1 1];
% PlotFlag(1) - individual rank representative disp-acc
% PlotFlag(2) - tentative hysteretic response
% PlotFlag(3) - extracted backbone curve

% Output files (if desired)
OUTRANKD = 'OUTRANKD.csv';
OUTRANKP = 'OUTRANKP.csv';
OUTCOMBD = 'OUTCOMBD.csv';
OUTHYST = 'OUTHYST.csv';
OUTSCURVE = 'OUTSCURVE.csv';

%% Call function

% SelectedRanks = capcurveextraction(TotalAcc,dT,'outscurve',OUTSCURVE);

% Basic (only acceleration and time step provided)
% SelectedRanks1 = capcurveextraction(TotalAcc,dT);

% Mass row specified
SelectedRanks2 = capcurvemaster(TotalAcc,dT,'Mass',Mass);

% Wavelet type specified
% SelectedRanks3 = capcurvemaster(TotalAcc,dT,'wname','db10');

% Mass and wavelet type specified
% SelectedRanks4 = capcurvemaster(TotalAcc,dT,'Mass',Mass,...
%     'wname','db10');

% Mass and wavelet type specified, plot individual rank response
% SelectedRanks5 = capcurvemaster(TotalAcc,dT,'Mass',Mass,...
%    'wname',wname,'PlotFlag',[1 0 0]);

% Mass and wavelet type specified, plot extracted capacity curve, export
% out capacity curve values
SelectedRanks6 = capcurvemaster(TotalAcc,dT,'Mass',Mass,...
    'wname',wname,'PlotFlag',[1 1 1],'outhyst',OUTHYST,'outscurve',OUTSCURVE);